ISALNUM(3)

NAME
isalnum, isalnum_l - alphanumeric single-byte character test

SYNOPSIS
#include <ctype.h>
int
isalnum(int c);
int
isalnum_l(int c, locale_t locale);

DESCRIPTION
The isalnum() function tests for any character for which isalpha(3) or isdigit(3) is true, and isalnum_l() tests for any character for which isalpha_l(3) or isdigit_l(3) is true.

In the C locale, the complete list of alphanumeric characters is A–Z, a–z, 0, and 1–9. OpenBSD always uses the C locale for these functions, ignoring the global locale, the thread-specific locale, and the locale argument.

RETURN VALUES
These functions return zero if the character tests false or non-zero if the character tests true.

ENVIRONMENT
On systems supporting non-ASCII single-byte character encodings, these functions may return non-zero for additional characters, and the results of isalnum() may depend on the LC_CTYPE locale(1).

SEE ALSO
isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), iswalnum(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isalnum() function conforms to ansiC, and isalnum_l() to p1003.1-2008.

HISTORY
The isalnum() function first appeared in AT&T UNIX, and isalnum_l() has been available since OpenBSD 6.2.

CAVEATS
The argument c must be EOF or representable as an unsigned char; otherwise, the result is undefined.